Method: locations.askContexts

Full name: projects.locations.askContexts

Agentic Retrieval Ask API for RAG.

Endpoint

post https://{service-endpoint}/v1beta1/{parent}:askContexts

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the Location from which to retrieve RagContexts. The users must have permission to make a call in the project. Format: projects/{project}/locations/{location}.

Request body

The request body contains data with the following structure:

Fields
query object (RagQuery)

Required. Single RAG retrieve query.

tools[] object (Tool)

Optional. The tools to use for locations.askContexts.

Response body

Response message for VertexRagService.AskContexts.

If successful, the response body contains data with the following structure:

Fields
response string

The Retrieval Response.

contexts object (RagContexts)

The contexts of the query.

JSON representation
{
  "response": string,
  "contexts": {
    object (RagContexts)
  }
}